# getDependenciesForVariant

abstract fun getDependenciesForVariant(variant: ResolvedVariantResult): List<DependencyResult>

Returns the dependencies of a specific variant. It is possible for a component to be selected multiple times with different variants (for example, the main component and its test fixtures). The dependencies of each variant are different, but the method doesn't give access to each variant individual dependencies.

The variant must be a selected variant of this component.

#### Since

5.6

#### Parameters

variant

the variant to find the dependencies for

#### Throws

IllegalStateException

if the variant is not a selected variant of this component